javax.servlet

## Interface ServletRequestAttributeListener

- All Superinterfaces:
    EventListener

      public interface ServletRequestAttributeListener
      extends EventListener

  Interface for receiving notification events about ServletRequest attribute changes.

  Notifications will be generated while the request is within the scope of the web application. A ServletRequest is defined as coming into scope of a web application when it is about to enter the first servlet or filter of the web application, and as going out of scope when it exits the last servlet or the first filter in the chain.

  In order to receive these notification events, the implementation class must be either declared in the deployment descriptor of the web application, annotated with `WebListener`, or registered via one of the addListener methods defined on `ServletContext`.

  The order in which implementations of this interface are invoked is unspecified.

  Since:
    Servlet 2.4

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attributeAdded(ServletRequestAttributeEvent srae)` Receives notification that an attribute has been added to the ServletRequest.
    `void` | `attributeRemoved(ServletRequestAttributeEvent srae)` Receives notification that an attribute has been removed from the ServletRequest.
    `void` | `attributeReplaced(ServletRequestAttributeEvent srae)` Receives notification that an attribute has been replaced on the ServletRequest.

- - ### Method Detail

    - #### attributeAdded

          void attributeAdded(ServletRequestAttributeEvent srae)

      Receives notification that an attribute has been added to the ServletRequest.
      Parameters:
        `srae` - the ServletRequestAttributeEvent containing the ServletRequest and the name and value of the attribute that was added

    - #### attributeRemoved

          void attributeRemoved(ServletRequestAttributeEvent srae)

      Receives notification that an attribute has been removed from the ServletRequest.
      Parameters:
        `srae` - the ServletRequestAttributeEvent containing the ServletRequest and the name and value of the attribute that was removed

    - #### attributeReplaced

          void attributeReplaced(ServletRequestAttributeEvent srae)

      Receives notification that an attribute has been replaced on the ServletRequest.
      Parameters:
        `srae` - the ServletRequestAttributeEvent containing the ServletRequest and the name and (old) value of the attribute that was replaced

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.